
:root{
  --greeny : #258624;
  --greener : #1c4b1b;

  --redy : #df0808;
  --reder : #b90505;

  --bludy :#0926a8;
  --bluder :#0a2672;

  --blacker :#1a1a1b;
  --blacky :#292828;

  --whiter :#f1f1f1;
  --whity :#fff;

  --greysy : #b8b8b8;
  --greyser : #7c7c7c;

  --dark :#333333;
  --shad :#29282875;
  --shady : #35353580;
  --shader : #272727ad;

  --blur1:#3535359d;
  --blur2:#3535355e;

  --grima :#194b1c;
  --prima :#196ea7;

/* ----------------------------    */
  --back:#1f2933;
  --fond:#1f2933;
  --text:#fff;
  --text-w:#fff;
  --text-b:#444;
  --text-g:#000;
  --more:#f1f1f1;
  --button:#0d2863;
  --detail:#0b410d;
}

@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&family=Open+Sans:ital,wght@0,300..800;1,300..800&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');


.modala {
      display: none;
      position: fixed;
      z-index: 99000;
      left: 0;
      top: 0;
      width: 100%;
      height: 100%;
      background-color: rgba(0, 0, 0, 0.5);
      padding-top: 40px;
      overflow: hidden;
}
.modala-content {
    background-color: #fff;
    margin: auto;
    padding: 20px;
    border-radius: 8px;
    width: 85%;
    height: 100%;
    position: relative;
    border: 1px solid #000;

}

  .modala-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    border-bottom: 1px solid #ddd;
    margin-bottom: 15px;
    height: 30px;
    min-height: 30px;
    width: 100%;
}

.modala-title {
    font-size: 20px;
    font-weight: bold;
}
/* Bouton de fermeture */
.close-button {
    font-size: 26px;
    cursor: pointer;
    font-weight: bold;
    color: #eb0606;
}
.close-button:hover {color: #000;}

 
  /* <!-- Boutons d'ouverture -->
  <button data-modaler="#modala1">Open Modal 1</button>

  <!-- Modals -->
  <div id="modala1" class="modala" data-title="Modal 1 Header">
      <div class="modala-content">
          <p>Content of the first modal.</p>
      </div>
  </div> */
  /* ------------------------------------------------------ */


  .getBtn{
    position: relative;
   padding: 4px;
   font-size: 15px;
   border: 1px solid #d3d3d3;
   cursor: pointer;
   background-color: #413f3f;
   color: white;
  }
  .getBtn:active{
    background-color: #191e35;
  }
  .getData::after{
    opacity: 0;
    position: absolute;
    top: -5px;
    right: -5px;
    width: 10px;
    height: 10px;
    background-color: rgb(3, 211, 31);
    border-radius: 50%;
    -webkit-border-radius: 50%;
    -moz-border-radius: 50%;
    -ms-border-radius: 50%;
    -o-border-radius: 50%;
    content: "";
  }
  
  .getData.isdata::after {
    opacity: 1;
  }
  .geeBtn img{
    height: 18px;
  }
  .geeBtn{
    display: flex;
    justify-content: space-between;
    align-items: center;
  }

/* ------------------------------MESSAGE STYLE---------------- */

.notify {
  display: flex;
  align-items: center;
  position: absolute;
  top: 20px;
  right: 20px; 
  padding: 2px;
  padding-right: 2px;
  border-radius: 5px;
  margin: 10px 0;
  z-index: 999999999999997; 
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
  background-color: rgb(247, 247, 247);
  transition: opacity 0.3s ease;
}

.notify  .notify-icon-container {
  z-index: 11;
  width: 36px;
  height: 36px;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  margin-right: 10px;
  font-size:14px ;
  box-shadow: inset  1px 1px 2px rgba(0, 0, 0, 0.514); 
  background-color: #fff;
}

.notify  .notify-icon {
  font-size: 23px;
}

.notify  .success .notify-icon{
 color: #169916;
}

.notify  .info .notify-icon{
 color: #214ec9; 
}

.notify  .warning .notify-icon{
 color: #f0ad4e; 
}

.notify  .error .notify-icon{
 color: #da160f; 
}

.notify  .message-container {
  padding: 10px;
  margin-left: -20px;
  padding-left: 15px;
  border-radius: 1px;
  flex-grow: 1;
}

/* ---------------------------MESSAGE---------------------- */



/* -------------------- */
.loadCenter{
  /* display: none; */
  align-items: center;
  justify-content: center;
  position: absolute;
  width: 100%;
  height: 100%;
  z-index: 99999999999999999999;
  padding: 8px;
  pointer-events: none;
}

.loadCenter .loadsvg{
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%,-50%);
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: #63636398;
  backdrop-filter: blur(2px);
  border: 1px solid #dddddd;
  box-shadow: 1px 1px 8px var(--blacker);
  padding: 8px;

}

.loadCenter .loadsvg img{
  width: 100px;
  height: 100px;
  margin: 20px;
  display: inline-block;
}



/* --------------------- */
.loadCover{
  position: absolute;
  width: 100%;
  height: 100%;
  background-color: #c4c4c400;
  backdrop-filter: blur(1px);
  /* display: none; */
  align-items: center;
  justify-content: center;
  z-index: 9999999999999999999;
}

.loadCover .loadsvg{
  z-index: 9999999;
  position: absolute;
  right: 10px;
  bottom: 5px;
}

.loadCover .loadsvg img {
  width: 60px;
  height: 60px;
  margin: 20px;
  display: inline-block;
}



.closer {
  color: #fff;
  background-color: #fa0606;
  font-weight: bold;
  cursor: pointer;
  padding: 5px;
  border: 1px solid #ffffff98;
  border-radius: 4px;
  float: right;
  -webkit-border-radius: 4px;
  -moz-border-radius: 4px;
  -ms-border-radius: 4px;
  -o-border-radius: 4px;
}


.leaflet-control-attribution a{ display: none;}



.loadCentera{
  display: none;
  align-items: center;
  justify-content: center;
  position: absolute;
  width: 100%;
  height: 100%;
  z-index: 99999999999999999999;
  padding: 8px;
  pointer-events: none;
}

.loadCentera .loadsvg{
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%,-50%);
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: #63636398;
  backdrop-filter: blur(2px);
  border: 1px solid #dddddd;
  box-shadow: 1px 1px 8px var(--blacker);
  padding: 8px;

}

.loadCentera .loadsvg img{
  width: 100px;
  height: 100px;
  margin: 20px;
  display: inline-block;
}


.loadCovera{
  pointer-events: none;
  position: absolute;
  width: 100%;
  height: 100%;
  background-color: #c4c4c400;
  display: none;
  align-items: center;
  justify-content: center;
  z-index: 9999999999999999999;
}

.loadCovera .loadsvg{
  z-index: 9999999;
  position: absolute;
  right: 10px;
  bottom: 10px;
}

.loadCovera .loadsvg img {
  width: 60px;
  height: 60px;
  margin: 20px;
  display: inline-block;
}






.loadCoverDark{
  z-index: 9999999999;
  width: 100%;
  height: 100%;
  background-color: #36363621;
  backdrop-filter: blur(11px);
  position: absolute;
  display: flex;
  align-items: center;
  justify-content: center;
  transition: all 1s;
}

.loadCoverDark .loadsvg{
  position: absolute;
  right: 10px;
  bottom: 5px;
}

.loadCoverDark .loadsvg img {
  width: 50px;
  height: 50px;
  margin: 20px;
  display: inline-block;
}



      
.sloganContainer{
  display: flex;
  align-items: center;
  justify-content: center;
  margin: auto;
  width: 100%;
  padding: 10px;
  background-color: #31313171;
  border-top: 2px solid #ffffffee;
  border-bottom: 2px solid #ffffffe8;
}
    .sloganContainer  div {
        display:inline-block;
        overflow:hidden;
        white-space:nowrap;
    }


   .sloganContainer .acronyme{
      animation: acroup 7s forwards;
      margin-right: 30px;
      background-color: #2f302ec9;
      color: white;
      font-weight: bold;
      border: 1px solid #f3f3f3;
      box-shadow: 1px 1px 1px var(--shady);
      text-shadow: 1px 1px 1px var(--shady);
      padding: 5px 10px;
      border-radius: 4px;
      opacity: 0.001;
      transform: scale(0.3);
      font-size: 25px;
      display: flex;
      align-items: end;
      justify-content: space-between;
      
    }
   .sloganContainer .acronyme span{
      margin-left: 5px;
      align-self: flex-end;
    }
   .sloganContainer .slogan {
      color: white;
      font-size: 25px;
      font-style: italic;
      width:0px;
      animation: slogreveal 7s forwards;
    }

   .sloganContainer .slogan span {
      width: 700px;
      margin-left:-355px;
      animation: slidetext 7s forwards;
    }

    @keyframes acroup {
        0% {opacity:0;}
        20% {opacity:1; transform: scale(1);}
        80% {opacity:1; transform: scale(1);}  
        100% {opacity:0;transform: scale(1);}
    }

    @keyframes slogreveal {
        0% {opacity:0;width:0px;}
        20% {opacity:1;width:0px;}
        30% {width:605px;}
        80% {opacity:1;width:605px;}
        100% {opacity:0;}
    }

    @keyframes slidetext {
        0% { margin-left:-800px; }
        20% { margin-left:-800px; }
        35% { margin-left:0px; }
        100% { margin-left:0px; }
    }




    .forePop{
      width: 100%;
      backdrop-filter: blur(10px);
      padding-bottom: 8px;
    }
    .foreHeader{
      background-color: #2727279f; 
      color: white; 
      padding: 4px 10px;
    }
    .foreContent{
      padding: 4px;
      background-color: #27272756; 
      backdrop-filter: blur(18px);
    }
    
   .riskDiv {
       text-align: center;
       border: 1px solid #a5a4a475;
       color: #eeeeee;
    }
   .risk-bar, .barRisk {
        display: flex;
        margin: 5px 0;    
        border: 1px solid #ececec;
        text-align: center;
    }
    
   .risk-bar span,.barRisk span {
        flex: 1;
        height: 20px;
        line-height: 20px;
    }
    
   .risk-bar .low { background: #e9c6b9; opacity: 0.2;color: #000;}
   .risk-bar .medium { background: #f06056;opacity: 0.2; }
   .risk-bar .high { background: #ff0000; opacity: 0.2;}
   .risk-bar .active { opacity: 1;font-weight: bold;box-shadow: 1px 1px 1px white; }
    
    .foreContent .alerteleng{
      display: flex;
      justify-content: space-between;
      align-items: center;
      border-bottom: 1px solid #d3d0d0;
    }
    .foreContent .alerteleng h5{
      background-color: #cacaca0a;
    }
    .foreContent .alerteleng span{
     background-color: #fff;
     font-size: 17px;
     border-radius: 3px;
     padding:2px 4px;
    }
    

    .glasswal{
      background-color: rgba(197, 193, 193, 0.315);
      backdrop-filter: blur(8px);
      border: 1px solid #ffffff;
      color: white;
      padding: 5px;
    }
  

.sweetOver{
  position: fixed;
  z-index: 999999;
}


.d-none, .off{
  display: none !important;
  opacity: 0 !important;
}

@keyframes fadeIn {
    from { opacity: 0; }
    to { opacity: 1; }
}
.fadeIn{ animation: fadeIn 1s ease ; }



.back-imagers{
  border-radius: 5px ;
  display: none;
  flex-direction: column;
  gap: 5px;
  position: absolute;
  align-items: center;
  top: 1px;
  left: 1px;
  /* background-color: #555555cc; */
  backdrop-filter: blur(4px);
  /* border: 1px solid #c9c7c7; */
  padding: 10px;
  padding-bottom: 2px;
  max-height: 480px;
  width: 128px;
  overflow-y: auto;
  z-index: 99555444555;
  transition: all 0.5s ease;
}
.back-imagers::-webkit-scrollbar{width: 0}

.back-imagers.view{
  display: flex;
}
.back-img {
  min-height: 80px;
  min-width: 108px;
  max-width: 108px;
  max-height: 100px;
  object-fit: cover;
  cursor: pointer;
  transition: all 0.3s ease;
  border: 1px solid white;
  border-radius: 5px ;
  -webkit-border-radius: 5px ;
  -moz-border-radius: 5px ;
  -ms-border-radius: 5px ;
  -o-border-radius: 5px ;
  position: relative;
}

.back-img:hover {border: 1px solid #00acfc;}
.back-img.activeView {border: 2px solid #009ae2;transform: scale(1.05);box-shadow: 1px 1px 2px white;}



/* thead{
        position: sticky !important;
        top: 0 !important;
        z-index: 4 !important;
    } */

  button:disabled{
    opacity:0.6 !important;
    cursor: not-allowed !important;
  }